The forum

d3dx9 and Installl Components on POL

Rift setup experience

Author Replies
Jayzon Thursday 15 August 2013 at 12:31
JayzonAnonymous

Sorry if this has been discussed before, but I wanted to point out that I originally had some issues getting Rift running right. It was showing a black screen for the main map area that turned out to be related to d3dx9 and/or d3dx9_43 by use of the Configure Wine option. I had manually used the overrides for d3d9 and d3dx9_24 through d3dx9_43.

However, when I used the install components tab option from POL for d3dx9 and d3dx9_43 (same existing virtual drive), it fixed the issue for me. As a result, I recommend using the Install Components option for at least d3dx9 and d3dx9_43 instead of the Configure Wine option.

Note: For anyone trying to get Rift working, I am currently having to use the riftpatchlive exe to get the game to launch. Also, I had to create an account through their website and login without using the guest option from the client. For me, I also had to use force_s3tc_enable=true to display the UI stuff right.
terryc Friday 14 February 2014 at 7:34
terrycAnonymous

Where does this comman go/is set?

force_s3tc_enable=true

I'm currently having a lot of troubles with Rift so I'll try th dx reinstalls
petch Friday 14 February 2014 at 18:37
petch
Developer

You discovered that installing components is not just dll overrides
terryc Saturday 8 March 2014 at 3:35
terrycAnonymous

Rift updates; I've been able to play Rift okay(occassional lockup) until the last updates when it crashes 50% of the time on character loading..

General background as this seems to be the default Rift thread. Initially i had to run the game on low res graphics and then was able to gradually change to higher resolutions, uncluding ultra(on occassion). sometimes movement seems a bit jerky, so I've kept it towards the lower setting.

For some reason a while ago, it suddenly started showing the zone still imges instead of flashing coloured squares, but still will not show any videos, Using P.O.L 1.7.12 .

I'm going to try updating to the latest 1.7.14 and see if that helps,